<!DOCTYPE html>
<html>
<head>
	<title>Mon Simon</title>

	<style type="text/css">

		body {
			margin-top: 5%;
			background-color: grey;
			border-top: 50px;
		}
		main {
		box-sizing: 0;
		width: 400px;
		text-align: center;
		margin: auto;

		}
		button {
		border-radius: 10px;
		border-left: 25px;
		width: 150px;
		height: 100px;
		background-color: #fff;
		}
		span.pushed {
			background-color: #de5214;
			display: none;
			width: 100%;
			height: 100%;
		}
		button#btn2 span.pushed {
			background-color: #52de14;
		}
		button#btn3 span.pushed {
			background-color: #5214de;
		}
		button#btn4 span.pushed {
			background-color: #dede52;
		}
		button:active span.pushed, button.actif span.pushed {
			display: block;
		}

		.Select_lv {
			margin-bottom: 5%;
			text-align: center;
			margin-left: 10px;

		}

	</style>
</head>
<body>
	<header class="Select_lv"> 
		<button class="button" id="btn1">Lv1</button>
		<button class="button" id="btn2">Lv2</button>
		<button class="button" id="btn3">Lv3</button>
		<button class="button" id="btn4">Lv4</button>
	</header>

	<main>
		<button id="btn1"><span class="pushed"></span></button>
		<button id="btn2"><span class="pushed"></span></button>
		<button id="btn3"><span class="pushed"></span></button>
		<button id="btn4"><span class="pushed"></span></button>
	</main>

	<script type="text/javascript">
		var boutons = [document.getElementById("btn1"), document.getElementById("btn2"), document.getElementById("btn3"), document.getElementById("btn4")];
		var sequence = [];

		// 0 : initialisation
		for (var i = 0; i < 4; i++) {
			sequence.push(boutons[Math.floor(Math.random() * 4)]);
		}
		
		// 1 : montrer au joueur les boutons choisis
		var courant = 0;
		function allumer() {

			function eteindre(bouton_a_eteindre) {
				bouton_a_eteindre.classList.remove('actif');
			}

			// allumer le bouton
			sequence[courant].classList.add('actif');

			// différer l'extinction de 600ms
			setTimeout(eteindre, 600, sequence[courant]);

			// différer l'allumage du bouton suivant dans 700ms
			courant++;
			if (courant < sequence.length) {
				setTimeout(allumer, 700);
			}
		}
		// 2 : Affichage des boutons de la séquence à reproduire 

/*		var player = 0;

		function playIt(pushed) {
			if (class.)
		}*/

		allumer();
	</script>
</body>
</html>